Create a credit invoice for the provided invoice resource ID

Requires the INVOICE.CREDIT.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource for which the action is posted.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
notestring or nullOptional
periodslist of objects or nullOptional
forceInitOnHoldboolean or nullOptional
delivery_datedatetime or nullOptional
groupslist of objects or nullOptionalDeprecated

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
invoice_numberstring or nullRead-only
purchase_order_numberstring or null
platform_idstring or nullRead-only
customer_idstring or null

id of the customer, can only be provided when creating a one-off invoice, and either id or reference is mandatory in that case

customer_referencestring or nullformat: "^\S+$"0-256 characters

reference of the customer, can only be provided when creating a one-off invoice, and either id or reference is mandatory in that case

sales_tax_percentagestring or null

Sales tax percentage. Needs to be present if both customer and billing entity are US-based. Optional if one of them is US-based

customerobject or null
billing_entityobject or null
statusstring
on_holdboolean
typeenum
created_atstring or nullRead-only
updated_atstring or nullRead-only
invoice_datedatetime
delivery_datestring or nullRead-only
due_datedatetime or null
billing_period_datestring or nullRead-only
billing_currencystring or nullRead-only
invoice_amount_including_taxobject or null
open_invoice_amountobject or null
closed_invoice_amountobject or null
paid_invoice_amountobject or null
timezonestring or nullRead-only
billing_periodobject or null
pricing_plan_subscription_idslist of strings or nullRead-only
pricing_amount_typeenum
Indicates whether the amounts provided, e.g. from the pricing plan, are including or excluding tax.
periodslist of objects
Periods that are applicable for this invoice, use either periods or groups for summation, groups will be removed in later version
closed_periodslist of objects or nullRead-only
tax_categorieslist of objects or nullRead-only
tax_summaryobject or null
dunning_actionslist of objects or nullRead-only
payment_acceptor_idslist of strings
payment_actionslist of objects or nullRead-only
noteslist of strings or null
linked_invoiceslist of objects or nullRead-only
custom_fieldslist of objects or null
other_custom_fieldslist of objects or nullRead-only
creditobject or null
e_invoiceslist of objects or nullRead-only
used_exchange_rateslist of objects or nullRead-only
processing_only_customerslist of objects or nullRead-only
meter_valueslist of objects or nullRead-only
credit_typeslist of objects or nullRead-only
display_invoice_sub_lines_per_processing_only_customerboolean or nullRead-only
forwarded_from_customerslist of objects or nullRead-only
validation_resultlist of objects or nullRead-only
reprocessobject
used_tax_registrationobject or null
The tax registrations that are used to calculate the tax for this invoice. If empty, the billing entity was used
footnotestring or nullRead-only
Footnote to be shown on the invoice
approval_statusenum or nullRead-only
Approval status for invoices that are associated with an approval request
updated_to_final_atstring or nullRead-only
The invoice finalization date
has_usage_based_pricingboolean or nullRead-only
couponslist of objects or nullRead-only
Coupons applied to this invoice
promotion_codeslist of objects or nullRead-only
Promotion codes applied to this invoice
linked_integrationslist of objects or null
billing_typeenum or null
payment_statusenum or nullRead-only
paidboolean or nullDeprecated
auto_rescueslist of objects or nullRead-onlyDeprecated
linked_invoices_idslist of stringsDeprecated

Can currently only be used for ‘ONE_OFF_CREDIT’ invoices, indicates original invoices that this invoice links to

to_be_reprocessedboolean or nullRead-onlyDeprecated
to_be_reprocessed_atstring or nullRead-onlyDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error